export declare class DataService {
    constructor();
    /**
     * This is a method to parse out the data to be visualized
     *
     * @param {array} data - data array to extract data from
     * @param {string} dataElement - key data to extract out
     *
     * @return {array} array of data
     */
    getData(data: {}[], dataElement: string): any[];
    /**
     * This method creates any kind of d3 scale using builder pattern
     *
     * @param {string} scaleType - scale to make for chart
     * @param {array} data - array of data to build scale against
     * @param {number} measure - measure is the chart dimension to bind to d3.domain()
     *
     * @return {object} d3 scale object
     */
    makeScale(scaleType: string, data: any[], measure: number, ordered?: boolean): any;
    private makeLinearScale(data, measure, ordered?);
    private makeCategoricalScale(data, measure, ordered?);
    private makeTimeScale(data, measure, ordered?);
}
